#ifndef NTHEME_H
#define NTHEME_H

#include <qvariant.h>
#include <qdialog.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qcombobox.h>
#include <qbuttongroup.h>

#include <klocale.h>
#include <kiconloader.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QGroupBox;
class QLabel;
class QPushButton;
class QSpinBox;
class QComboBox;

class NTheme : public QDialog
{
    Q_OBJECT

public:
    NTheme( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~NTheme();

    QGroupBox* groupBox1;
    QGroupBox* groupBox2;

    QLabel* textLabel2;
    QLabel* textLabel1;
    QLabel* textLabel3;
    QLabel* textLabel4;
    QLabel* textLabel5;
    QLabel* textLabel6;
    QLabel* textLabel7;

    QSpinBox* spinBox1;
    QSpinBox* spinBox2;
    QSpinBox* spinBox3;
    QSpinBox* spinBox4;
    QSpinBox* spinBox5;
    QSpinBox* spinBox6;

    QButtonGroup* checkGroup;

    QCheckBox* checkBox1;
    QCheckBox* checkBox2;
    QCheckBox* checkBox3;
    QCheckBox* checkBox4;
    QCheckBox* checkBox5;
    QCheckBox* checkBox6;
    QCheckBox* checkBox7;
    QCheckBox* Fading;
    QCheckBox* noHead;

    QPushButton* pushButton1;
    QPushButton* pushButton2;

    QComboBox* hideCombo;

    int X;
    int Y;

protected:

protected slots:
    virtual void languageChange();

private:

private slots:
    virtual void createTheme();
    virtual void XunCheck();
    virtual void YunCheck();

};

#endif // NTHEME_H
